'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function createLoggerMiddleware() {
  return function (next) {
    return function (request, response) {
      var error = response.error,
          body = response.body,
          statusCode = response.statusCode;
      /* eslint-disable */

      console.log('Request: ', request);
      console.log('Response: ', {
        error: error,
        body: body,
        statusCode: statusCode
      });
      /* eslint-enable */

      next(request, response);
    };
  };
}

exports.createLoggerMiddleware = createLoggerMiddleware;
